#ifndef AlienCommandDialog_h
#define AlienCommandDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "AlienCommand.h"
#include "Key.h"

#include <QLabel>

class TreeView;

namespace Alien
{
    class CommandModel;
}

namespace Alien
{
    class CommandDialog: public CustomDialog, public Base::Key
    {

        Q_OBJECT

        public:

        //* constructor
        explicit CommandDialog( QWidget* = nullptr );

        //* model
        void setModel( CommandModel* );

        //* list
        TreeView& list() const
        { return *list_; }

        private Q_SLOTS:

        //* update labels
        void _updateLabel();

        private:

        //* user selection frame
        TreeView* list_ = nullptr;

        //* label
        QLabel* label_ = nullptr;

        //* model
        CommandModel* model_ = nullptr;

    };

}
#endif
