/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CommandsFailedDialog.h"

#include "IconEngine.h"
#include "IconNames.h"

#include <numeric>

//_____________________________________________________________________
CommandsFailedDialog::CommandsFailedDialog( QWidget* parent, const Alien::Command::List& commands ):
    QuestionDialog( parent )
{

    const int count( commands.size() );
    QString buffer;
    if( count > 1 )
    {
        setText( tr( "%1 commands have failed." ).arg( count ) );

        // details
        setDetails( std::accumulate( commands.begin(), commands.end(), QString(),
            []( const QString& buffer, const Alien::Command& command )
            { return buffer + command.errorString() + "\n\n"; } ) );

    } else {

        setText( commands.front().errorString() );
        setDetails( commands.front().errorDetails() );

    }

    okButton().setText( tr( "Retry" ) );
    okButton().setIcon( IconEngine::get( IconNames::Resubmit ) );

}
