#ifndef SummaryBar_h
#define SummaryBar_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "JobStatistics.h"

#include <QPaintEvent>
#include <QProgressBar>

//* display command progress and remaining time
class SummaryBar:public QProgressBar, private Base::Counter<SummaryBar>
{

    Q_OBJECT

    public:

    //* constructor
    explicit SummaryBar( QWidget* = nullptr );

    public Q_SLOTS:

    //* update labels from integer inputs
    void updateJobStatistics( JobStatistics );

    protected:

    //* paint
    void paintEvent( QPaintEvent* ) override;

    private Q_SLOTS:

    //* configuration
    void _updateConfiguration();

    private:

    //* job statistics
    JobStatistics statistics_;

    //*@name job status colors
    //@{

    //* running jobs
    QColor runningJobColor_;

    //* running jobs
    QColor completedJobColor_;

    //* failed jobs
    QColor failedJobColor_;

    //@}

};

#endif
